#ifndef TABDIALOGMESSENGER_H
#define TABDIALOGMESSENGER_H

#include <QListWidget>

//Закладка ведения диалога с одним клиентом

//TODO сделать идентификацию по ID

class TabDialogMessenger : public QListWidget
{
    Q_OBJECT

public:
    TabDialogMessenger(int id, QString login, QWidget *parent = nullptr);
    ~TabDialogMessenger();

    QString getLogin() {return login;};
    int getID() {return id;};

    void addMsgWidgetLocal(QString text);
    void addMsgWidgetRemote(QString text);

private:
    QString login;
    int id;
};

#endif // TABDIALOGMESSENGER_H
